SetPropertyClass (Apache Tomcat 9.0.106 API Documentation)
Description: declaration: package: org.apache.tomcat.util.xreflection, class: SetPropertyClass

# Class SetPropertyClass

java.lang.Object
org.apache.tomcat.util.xreflection.SetPropertyClass

All Implemented Interfaces:
  `Comparable<SetPropertyClass>`

public final class SetPropertyClass extends Object implements Comparable<SetPropertyClass>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addProperty(org.apache.tomcat.util.xreflection.ReflectionProperty property)`
  `int`
  `compareTo(SetPropertyClass o)`
  `boolean`
  `equals(Object o)`
  `String`
  `generateGetPropertyForMethod()`
  `String`
  `generateGetPropertyMethod(org.apache.tomcat.util.xreflection.ReflectionProperty property)`
  `String`
  `generateInvocationGetForPropertyCaseStatement(int level)`
  `String`
  `generateInvocationSetForPropertyCaseStatement(int level)`
  `String`
  `generateParentGetPropertyForMethodInvocation()`
  `String`
  `generateParentSetPropertyForMethodInvocation()`
  `String`
  `generateSetPropertyForMethod()`
  `String`
  `generateSetPropertyMethod(org.apache.tomcat.util.xreflection.ReflectionProperty property)`
  `String`
  `generatesGetPropertyForMethodHeader()`
  `String`
  `generatesSetPropertyForMethodHeader()`
  `Set<SetPropertyClass>`
  `getChildren()`
  `Class<?>`
  `getClazz()`
  `Method`
  `getGenericGetPropertyMethod()`
  `Method`
  `getGenericSetPropertyMethod()`
  `SetPropertyClass`
  `getParent()`
  `Set<org.apache.tomcat.util.xreflection.ReflectionProperty>`
  `getProperties()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getChildren

    public Set<SetPropertyClass> getChildren()

  - ### getProperties

    public Set<org.apache.tomcat.util.xreflection.ReflectionProperty> getProperties()

  - ### getGenericSetPropertyMethod

    public Method getGenericSetPropertyMethod()

  - ### getGenericGetPropertyMethod

    public Method getGenericGetPropertyMethod()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### getParent

    public SetPropertyClass getParent()

  - ### getClazz

    public Class<?> getClazz()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### addProperty

    public void addProperty(org.apache.tomcat.util.xreflection.ReflectionProperty property)

  - ### generateSetPropertyMethod

    public String generateSetPropertyMethod(org.apache.tomcat.util.xreflection.ReflectionProperty property)

  - ### generateGetPropertyMethod

    public String generateGetPropertyMethod(org.apache.tomcat.util.xreflection.ReflectionProperty property)

  - ### generateSetPropertyForMethod

    public String generateSetPropertyForMethod()

  - ### generateInvocationSetForPropertyCaseStatement

    public String generateInvocationSetForPropertyCaseStatement(int level)

  - ### generateParentSetPropertyForMethodInvocation

    public String generateParentSetPropertyForMethodInvocation()

  - ### generatesSetPropertyForMethodHeader

    public String generatesSetPropertyForMethodHeader()

  - ### generateInvocationGetForPropertyCaseStatement

    public String generateInvocationGetForPropertyCaseStatement(int level)

  - ### generateParentGetPropertyForMethodInvocation

    public String generateParentGetPropertyForMethodInvocation()

  - ### generatesGetPropertyForMethodHeader

    public String generatesGetPropertyForMethodHeader()

  - ### generateGetPropertyForMethod

    public String generateGetPropertyForMethod()

  - ### compareTo

    public int compareTo(SetPropertyClass o)
    Specified by:
      `compareTo` in interface `Comparable<SetPropertyClass>`